Import Stock Inventory

by
Odoo
v 14.0 Third Party 324
Download for v 14.0 Deploy on Odoo.sh
Required Apps Inventory (stock)
Lines of code 119
Technical Name pways_import_stock_inventory
LicenseOPL-1
Websitehttp://www.preciseways.com
Also available in version v 13.0 v 11.0 v 12.0
You bought this module and need support? Click here!
Required Apps Inventory (stock)
Lines of code 119
Technical Name pways_import_stock_inventory
LicenseOPL-1
Websitehttp://www.preciseways.com
Also available in version v 13.0 v 11.0 v 12.0

OverView

This app helps to import stock inventory adjustment from xls file

How to use

Our Services

We offers a wide range of services to fulfil your business needs.

Development

Full range of Odoo ERP Software Development for a wide variety of verticals and businesses.


Consultancy

Business Consultation to remain cost effective by keeping up with the latest software and hardware information.


Maintaince

We build solutions for peculiar business problems according to customization required to manage the specific work flows.


Migration

Provide robust migration from existing system and upgrade of existing software and transfer to a completely new system.


Training

We provide guidance and training for the team to understand the software and provide constant needed support.


Support

Constant support over Phone, Emails, Skype and on-site / off site after successful installation of software


Want to hire the best people for your project?

Ensure you always came to the right place!

Our Apps

Odoo Proprietary License v1.0
This software and associated files (the "Software") may only be used (executed,
modified, executed after modifications) if you have purchased a valid license
from the authors, typically via Odoo Apps, or if you have received a written
agreement from the authors of the Software (see the COPYRIGHT file).
You may develop Odoo modules that use the Software as a library (typically
by depending on it, importing it and using its resources), but without copying
any source code or material from the Software. You may distribute those
modules under the license of your choice, provided that this license is
compatible with the terms of the Odoo Proprietary License (For example:
LGPL, MIT, or proprietary licenses similar to this one).
It is forbidden to publish, distribute, sublicense, or sell copies of the Software
or modified copies of the Software.
The above copyright notice and this permission notice must be included in all
copies or substantial portions of the Software.
THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
DEALINGS IN THE SOFTWARE.

Please log in to comment on this module

  • The author can leave a single reply to each comment.
  • This section is meant to ask simple questions or leave a rating. Every report of a problem experienced while using the module should be addressed to the author directly (refer to the following point).
  • If you want to start a discussion with the author, please use the developer contact information. They can usually be found in the description.
Please choose a rating from 1 to 5 for this module.
There are no ratings yet!
by
francis hwenha
on 11/26/22, 11:46 PM

Error:
Odoo Server Error

Traceback (most recent call last):
File "C:\odoo14b\server\odoo\addons\base\models\ir_http.py", line 237, in _dispatch
result = request.dispatch()
File "C:\odoo14b\server\odoo\http.py", line 683, in dispatch
result = self._call_function(**self.params)
File "C:\odoo14b\server\odoo\http.py", line 359, in _call_function
return checked_call(self.db, *args, **kwargs)
File "C:\odoo14b\server\odoo\service\model.py", line 94, in wrapper
return f(dbname, *args, **kwargs)
File "C:\odoo14b\server\odoo\http.py", line 347, in checked_call
result = self.endpoint(*a, **kw)
File "C:\odoo14b\server\odoo\http.py", line 912, in __call__
return self.method(*args, **kw)
File "C:\odoo14b\server\odoo\http.py", line 531, in response_wrap
response = f(*args, **kw)
File "C:\odoo14b\server\odoo\addons\web\controllers\main.py", line 1398, in call_button
action = self._call_kw(model, method, args, kwargs)
File "C:\odoo14b\server\odoo\addons\web\controllers\main.py", line 1386, in _call_kw
return call_kw(request.env[model], method, args, kwargs)
File "C:\odoo14b\server\odoo\api.py", line 399, in call_kw
result = _call_kw_multi(method, model, args, kwargs)
File "C:\odoo14b\server\odoo\api.py", line 386, in _call_kw_multi
result = method(recs, *args, **kwargs)
File "C:\odoo14b\server\odoo\addons\pways_import_stock_inventory\models\stock.py", line 68, in import_csv
product_id = self.env['product.product'].sudo().search([('name', '=', line.get('Product').split(']')[1][1:])])
Exception

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File "C:\odoo14b\server\odoo\http.py", line 639, in _handle_exception
return super(JsonRequest, self)._handle_exception(exception)
File "C:\odoo14b\server\odoo\http.py", line 315, in _handle_exception
raise exception.with_traceback(None) from new_cause
IndexError: list index out of range

Re:
by
Precise Ways Consultancy Pvt Ltd
on 11/27/22, 3:53 AM Author

Hello francis

please connect in skype at preciseways for better communication

sure will update once its fixed

Thanks


by
Precise Ways Consultancy Pvt Ltd
on 12/30/21, 7:41 AM Author

Hello,


Issue is fixed and code is updated


Many Thanks


Error on install
by
Arseniy Finberg
on 12/29/21, 7:01 AM

Traceback (most recent call last):

  File "/opt/odoo/odoo/odoo/http.py", line 639, in _handle_exception

    return super(JsonRequest, self)._handle_exception(exception)

  File "/opt/odoo/odoo/odoo/http.py", line 315, in _handle_exception

    raise exception.with_traceback(None) from new_cause

odoo.tools.convert.ParseError: while parsing /opt/odoo/custom_addons/pways_import_stock_inventory/views/stock_view.xml:44, near

<menuitem action="import_stock_inventory_wizard" name="Import Stock Inventory" id="import_stock_inventory_action" parent="stock.menu_stock_inventory_control" groups="pways_import_stock_inventory_xls.group_import_inventory_access" sequence="31"/>

Re: Error on install
by
Precise Ways Consultancy Pvt Ltd
on 12/29/21, 7:32 AM Author

Hello,

Thanks for your response. Please share more details like version, extra add-ons, system for team to analyse at preciseways@gmail.com


Thanks